> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monyfix.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Single Push Notification

> Send single push notification



## OpenAPI

````yaml post /notifications/send-single
openapi: 3.1.0
info:
  title: Monyfix API
  description: Monyfix
  version: 1.0.0
servers: []
security: []
paths:
  /notifications/send-single:
    post:
      tags:
        - notifications
      summary: Send Single Push Notification
      description: Send single push notification
      operationId: send_single_push_notification_notifications_send_single_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NotificationsSingleUserSendRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '401':
          description: >-
            No `Authorization` access token header, token is invalid or user
            removed
          content:
            application/json:
              examples:
                not authenticated:
                  summary: No authorization token header
                  value:
                    detail: Not authenticated
                invalid token:
                  summary: >-
                    Token validation failed, decode failed, it may be expired or
                    malformed
                  value:
                    detail: 'Token invalid: {detailed error msg}'
                removed user:
                  summary: User removed
                  value:
                    detail: User removed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    NotificationsSingleUserSendRequest:
      properties:
        title:
          type: string
          title: Title
        desc:
          type: string
          title: Desc
        picture:
          anyOf:
            - type: string
            - type: 'null'
          title: Picture
        user_id:
          type: string
          title: User Id
        sound:
          anyOf:
            - type: string
            - type: 'null'
          title: Sound
        keys:
          anyOf:
            - type: object
            - type: 'null'
          title: Keys
      type: object
      required:
        - title
        - desc
        - user_id
      title: NotificationsSingleUserSendRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````